## md-toc 7.2.0

=== Makefile ===
#!/usr/bin/env make
#
# Makefile
#
# Copyright (C) 2017-2020 frnmst (Franco Masotti) <franco.masotti@live.com>
#
# This file is part of md-toc.
#
# md-toc is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# md-toc is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with md-toc.  If not, see <http://www.gnu.org/licenses/>.
#

export PACKAGE_NAME=md_toc

default: doc

doc: clean
	pipenv run $(MAKE) -C docs html

install:
	pip3 install . --user

uninstall:
	pip3 uninstall --yes $(PACKAGE_NAME)

install-dev:
	pipenv install --dev
	pipenv run pre-commit install

uninstall-dev:
	pipenv --rm

demo:
	asciinema/md_toc_asciinema_$$(git describe --tags $$(git rev-list --tags --max-count=1) | tr '.' '_')_demo.sh

test:
	python -m unittest $(PACKAGE_NAME).tests.tests --failfast --locals --verbose

dist:
	pipenv run python setup.py sdist
	pipenv run python setup.py bdist_wheel
	pipenv run twine check dist/*

upload:
	pipenv run twine upload dist/*

clean:
	rm -rf build dist *.egg-info tests/benchmark-results *.md
	pipenv run $(MAKE) -C docs clean

.PHONY: default doc install uninstall install-dev uninstall-dev test clean demo benchmark

=== debian/changelog ===
md-toc (7.2.0-1) sid; urgency=medium

  * Initial release (Closes: #985785)

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 21 Apr 2021 10:51:01 +0200

=== debian/control ===
Source: md-toc
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-ilorest-doc,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/frnmst/md-toc
Vcs-Browser: https://salsa.debian.org/saki-guest/md-toc.git
Vcs-Git: https://salsa.debian.org/saki-guest/md-toc.git

Package: python-md-toc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: automatical generation of table of contents for markdown files. (docs)
 The table of contents (a.k.a: TOC) generated by this program is designed to
 work with several markdown parsers such as the ones used by GitHub and GitLab.
 .
 This package provides the documentation for md-toc.

Package: python3-md-toc
Architecture: all
Depends:
 python3-fpyutils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-md-toc-doc,
Description: automatical generation of table of contents for markdown files. (Python 3.x)
 The table of contents (a.k.a: TOC) generated by this program is designed to
 work with several markdown parsers such as the ones used by GitHub and GitLab.
 .
 This package contains the Python 3.x module.

## md-toc 8.1.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile
 #
-# Copyright (C) 2017-2020 frnmst (Franco Masotti) <franco.masotti@live.com>
+# Copyright (C) 2017-2021 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
 #
 # This file is part of md-toc.
 #
@@ -31,24 +31,37 @@
 	pip3 install . --user
 
 uninstall:
-	pip3 uninstall --yes $(PACKAGE_NAME)
+	pip3 uninstall --verbose --yes $(PACKAGE_NAME)
 
 install-dev:
 	pipenv install --dev
 	pipenv run pre-commit install
+	pipenv graph
+	pipenv check
 
 uninstall-dev:
+	rm -f Pipfile.lock
 	pipenv --rm
 
+update: install-dev
+	pipenv run pre-commit autoupdate
+
 demo:
-	asciinema/md_toc_asciinema_$$(git describe --tags $$(git rev-list --tags --max-count=1) | tr '.' '_')_demo.sh
+	pipenv run asciinema/md_toc_asciinema_$$(git describe --tags $$(git rev-list --tags --max-count=1) | tr '.' '_')_demo.sh
 
 test:
-	python -m unittest $(PACKAGE_NAME).tests.tests --failfast --locals --verbose
+	pipenv run python -m unittest $(PACKAGE_NAME).tests.tests --failfast --locals --verbose
 
 dist:
 	pipenv run python setup.py sdist
-	pipenv run python setup.py bdist_wheel
+	# Create a reproducible archve at least on the wheel.
+	# See
+	# https://bugs.python.org/issue31526
+	# https://bugs.python.org/issue38727
+	# https://github.com/pypa/setuptools/issues/1468
+	# https://github.com/pypa/setuptools/issues/2133
+	# https://reproducible-builds.org/docs/source-date-epoch/
+	SOURCE_DATE_EPOCH=$$(git log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
 	pipenv run twine check dist/*
 
 upload:
@@ -58,4 +71,4 @@
 	rm -rf build dist *.egg-info tests/benchmark-results *.md
 	pipenv run $(MAKE) -C docs clean
 
-.PHONY: default doc install uninstall install-dev uninstall-dev test clean demo benchmark
+.PHONY: default doc install uninstall install-dev uninstall-dev update test clean demo

=== debian/changelog ===
md-toc (8.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 8.1.0.
  * d/changelog: Correcting typo for 7.2.0-1.
  * d/control: Changing VCS path + correcting short description typo.
  * d/copyright: Updating copyright.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 11 Dec 2021 11:00:50 +0100

=== debian/control ===
Source: md-toc
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-ilorest-doc,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/frnmst/md-toc
Vcs-Browser: https://salsa.debian.org/saki/md-toc.git
Vcs-Git: https://salsa.debian.org/saki/md-toc.git

Package: python-md-toc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: automatical generation of table of contents for markdown files (docs)
 The table of contents (a.k.a: TOC) generated by this program is designed to
 work with several markdown parsers such as the ones used by GitHub and GitLab.
 .
 This package provides the documentation for md-toc.

Package: python3-md-toc
Architecture: all
Depends:
 python3-fpyutils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-md-toc-doc,
Description: automatical generation of table of contents for markdown files (Python 3.x)
 The table of contents (a.k.a: TOC) generated by this program is designed to
 work with several markdown parsers such as the ones used by GitHub and GitLab.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=md-toc

%:
	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc

	# These files are empty..
	rm -f debian/python-md-toc-doc/usr/share/doc/python-md-toc-doc/html/.nojekyll debian/python-md-toc-doc/usr/share/doc/python-md-toc-doc/html/_static/_static
endif

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.

## md-toc 8.1.4

=== Makefile ===
--- 
+++ 
@@ -61,14 +61,16 @@
 	# https://github.com/pypa/setuptools/issues/1468
 	# https://github.com/pypa/setuptools/issues/2133
 	# https://reproducible-builds.org/docs/source-date-epoch/
-	SOURCE_DATE_EPOCH=$$(git log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
+	SOURCE_DATE_EPOCH=$$(git -c log.showSignature='false' log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
 	pipenv run twine check dist/*
 
 upload:
 	pipenv run twine upload dist/*
 
 clean:
-	rm -rf build dist *.egg-info tests/benchmark-results *.md
+	rm -rf build dist *.egg-info tests/benchmark-results
+	# Remove all markdown files except the readme.
+	find -regex ".*\.[mM][dD]" ! -name 'README.md' ! -name 'CONTRIBUTING.md' -type f -exec rm -f {} +
 	pipenv run $(MAKE) -C docs clean
 
 .PHONY: default doc install uninstall install-dev uninstall-dev update test clean demo

=== debian/changelog ===
md-toc (8.1.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 8.1.4.
  * d/control:
    - Updating Standards-Version.
    - Correcting Vcs-Browser URL.
    - Updating Build-Depends.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 21:16:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  python3-all,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-tabs,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/frnmst/md-toc
-Vcs-Browser: https://salsa.debian.org/saki/md-toc.git
+Vcs-Browser: https://salsa.debian.org/saki/md-toc
 Vcs-Git: https://salsa.debian.org/saki/md-toc.git
 
 Package: python-md-toc-doc

## md-toc 8.1.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile
 #
-# Copyright (C) 2017-2021 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
+# Copyright (C) 2017-2022 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
 #
 # This file is part of md-toc.
 #
@@ -36,6 +36,7 @@
 install-dev:
 	pipenv install --dev
 	pipenv run pre-commit install
+	pipenv run pre-commit install --hook-type commit-msg
 	pipenv graph
 	pipenv check
 
@@ -73,4 +74,8 @@
 	find -regex ".*\.[mM][dD]" ! -name 'README.md' ! -name 'CONTRIBUTING.md' -type f -exec rm -f {} +
 	pipenv run $(MAKE) -C docs clean
 
+# This serves both as beanchmarch and as fuzzer.
+benchmark:
+	pipenv run python3 -m md_toc.tests.benchmark
+
 .PHONY: default doc install uninstall install-dev uninstall-dev update test clean demo

=== debian/changelog ===
md-toc (8.1.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 8.1.5.
  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 06 Jan 2023 20:21:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-sphinx,
  python3-sphinx-tabs,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/frnmst/md-toc
 Vcs-Browser: https://salsa.debian.org/saki/md-toc
 Vcs-Git: https://salsa.debian.org/saki/md-toc.git

## md-toc 8.2.0

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2017-2022 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
#
# This file is part of md-toc.
#
# md-toc is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# md-toc is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with md-toc.  If not, see <http://www.gnu.org/licenses/>.
#

export PACKAGE_NAME=md_toc

# See
# https://docs.python.org/3/library/venv.html#how-venvs-work
export VENV_CMD=. .venv/bin/activate

default: install-dev

doc:
	$(VENV_CMD) \
		&& $(MAKE) -C docs html \
		&& deactivate

install:
	# pip 23 introduced the '--break-system-packages' option.
	python3 -c 'import pip; import sys; sys.exit(0) if int(pip.__version__.split(".")[0]) >= 23 else sys.exit(1)' \
		&& pip3 install --break-system-packages . --user \
		|| pip3 install . --user

uninstall:
	# pip 23 introduced the '--break-system-packages' option.
	python3 -c 'import pip; import sys; sys.exit(0) if int(pip.__version__.split(".")[0]) >= 23 else sys.exit(1)' \
		&& pip3 uninstall --break-system-packages --verbose --yes $(PACKAGE_NAME) \
		|| pip3 uninstall --verbose --yes $(PACKAGE_NAME)

install-dev:
	python3 -m venv .venv
	$(VENV_CMD) \
		&& pip install --requirement requirements-freeze.txt \
		&& deactivate
	$(VENV_CMD) \
		&& pre-commit install \
		&& deactivate
	$(VENV_CMD) \
		&& pre-commit install --hook-type commit-msg \
		&& deactivate

regenerate-freeze: uninstall-dev
	python3 -m venv .venv
	$(VENV_CMD) \
		&& pip install --requirement requirements.txt --requirement requirements-dev.txt \
		&& pip freeze --local > requirements-freeze.txt \
		&& deactivate

uninstall-dev:
	rm -rf .venv

update: install-dev
	$(VENV_CMD) \
		&& pre-commit autoupdate \
			--repo https://github.com/pre-commit/pre-commit-hooks \
			--repo https://github.com/PyCQA/bandit \
			--repo https://github.com/pycqa/isort \
			--repo https://codeberg.org/frnmst/licheck \
			--repo https://codeberg.org/frnmst/md-toc \
			--repo https://github.com/mgedmin/check-manifest \
			--repo https://github.com/jorisroovers/gitlint \
		&& deactivate
		# --repo https://github.com/pre-commit/mirrors-mypy \

test:
	$(VENV_CMD) \
		&& python -m unittest $(PACKAGE_NAME).tests.tests --failfast --locals --verbose \
		&& deactivate

pre-commit:
	$(VENV_CMD) \
		&& pre-commit run --all \
		&& deactivate

demo:
	$(VENV_CMD) \
		&& asciinema/md_toc_asciinema_$$(git describe --tags $$(git rev-list --tags --max-count=1) | tr '.' '_')_demo.sh \
		&& deactivate

dist:
	# Create a reproducible archive at least on the wheel.
	# See
	# https://bugs.python.org/issue31526
	# https://bugs.python.org/issue38727
	# https://github.com/pypa/setuptools/issues/1468
	# https://github.com/pypa/setuptools/issues/2133
	# https://reproducible-builds.org/docs/source-date-epoch/
	$(VENV_CMD) \
		&& SOURCE_DATE_EPOCH=$$(git -c log.showSignature='false' log -1 --pretty=%ct) \
		python -m build \
		&& deactivate
	$(VENV_CMD) \
		&& twine check --strict dist/* \
		&& deactivate

upload:
	$(VENV_CMD) \
		&& twine upload dist/* \
		&& deactivate

clean:
	rm -rf build dist *.egg-info tests/benchmark-results
	# Remove all markdown files except the readmes.
	find -regex ".*\.[mM][dD]" ! -name 'README.md' ! -name 'CONTRIBUTING.md' -type f -exec rm -f {} +
	$(VENV_CMD) \
		&& $(MAKE) -C docs clean \
		&& deactivate

# This serves both as benchmark and as fuzzer.
benchmark:
	$(VENV_CMD) \
		&& python3 -m md_toc.tests.benchmark \
		&& deactivate

.PHONY: default doc install uninstall install-dev uninstall-dev update test clean demo benchmark pre-commit

=== requirements.txt ===
fpyutils>=3.0.1,<4

=== debian/changelog ===
md-toc (8.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 8.2.0.
  * d/control: Add new Build-Depends.
  * d/rules: Remove Python source files for python-md-toc-doc.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 09 Sep 2023 19:39:00 +0200

md-toc (8.1.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 8.1.9.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 24 Jul 2023 09:36:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  python3-all,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-book-theme,
+ python3-sphinx-copybutton,
  python3-sphinx-tabs,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 
 	# These files are empty..
 	rm -f debian/python-md-toc-doc/usr/share/doc/python-md-toc-doc/html/.nojekyll debian/python-md-toc-doc/usr/share/doc/python-md-toc-doc/html/_static/_static
+
+	# Remove compiled Python source file
+	rm -rf debian/python-md-toc-doc/usr/share/doc/python-md-toc-doc/html/_static/__pycache__
 endif
 
 override_dh_auto_test:

## md-toc 9.0.0

=== requirements.txt ===
fpyutils>=4.0.1,<5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = md-toc
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
md-toc (9.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 09 Apr 2025 07:49:27 +0200

md-toc (9.0.0-2) experimental; urgency=medium

  * d/rules: Modernizing dh-python invocation.
  * d/rules: Improve dh_sphinxdoc override.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 03 Apr 2025 15:38:39 +0200

md-toc (9.0.0-1) experimental; urgency=medium

  * Adding d/gbp.conf.
  * Add d/watch file.
  * New upstream version 9.0.0.
  * d/changelog: Changing naming sid to unstable.
  * d/control:
    - Add Build-Depends for PEP517.
    - Updating Standards-Version.
  * d/copyright: Updating years.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 02 Apr 2025 17:53:34 +0200

md-toc (8.2.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 8.2.0.
  * d/control: Add new Build-Depends.
  * d/rules: Remove Python source files for python-md-toc-doc.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 09 Sep 2023 19:39:00 +0200

md-toc (8.1.5-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 8.1.5.
  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 06 Jan 2023 20:21:32 +0100

md-toc (8.1.4-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 8.1.4.
  * d/control:
    - Updating Standards-Version.
    - Correcting Vcs-Browser URL.
    - Updating Build-Depends.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 21:16:50 +0200

md-toc (8.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 8.1.0.
  * d/changelog: Correcting typo for 7.2.0-1.
  * d/control: Changing VCS path + correcting short description typo.
  * d/copyright: Updating copyright.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 11 Dec 2021 11:00:50 +0100

md-toc (7.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #985785).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 21 Apr 2021 10:51:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python-ilorest-doc,
  python3-all,
  python3-setuptools,
@@ -13,7 +14,7 @@
  python3-sphinx-copybutton,
  python3-sphinx-tabs,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/frnmst/md-toc
 Vcs-Browser: https://salsa.debian.org/saki/md-toc
 Vcs-Git: https://salsa.debian.org/saki/md-toc.git

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 export PYBUILD_NAME=md-toc
 
 %:
-	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc
+	dh ${@} --buildsystem=pybuild --with sphinxdoc
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
+	PYTHONPATH=src python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
 	dh_sphinxdoc
 
 	# These files are empty..

=== debian/watch ===
version=4
https://github.com/frnmst/md-toc/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
